Get all certificates
curl --request GET \
--url https://test.didxtech.com/me-creds/api/certificates \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/certificates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.didxtech.com/me-creds/api/certificates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test.didxtech.com/me-creds/api/certificates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.didxtech.com/me-creds/api/certificates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.didxtech.com/me-creds/api/certificates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "expired",
"expiresAt": "<string>",
"subjectKeyIdentifier": "<string>",
"certificate": "<string>",
"type": "verifierSignRequest",
"keyType": "P-256",
"capabilities": {
"signMdl": true
},
"parentCertificateId": "<string>"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"error": "<string>",
"details": "<string>"
}Certificates API
Get all certificates
deprecated
Get all certificates
curl --request GET \
--url https://test.didxtech.com/me-creds/api/certificates \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/certificates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.didxtech.com/me-creds/api/certificates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test.didxtech.com/me-creds/api/certificates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.didxtech.com/me-creds/api/certificates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.didxtech.com/me-creds/api/certificates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "expired",
"expiresAt": "<string>",
"subjectKeyIdentifier": "<string>",
"certificate": "<string>",
"type": "verifierSignRequest",
"keyType": "P-256",
"capabilities": {
"signMdl": true
},
"parentCertificateId": "<string>"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"error": "<string>",
"details": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by certificate type
Available options:
verifierSignRequest, issuerSignCredential, verifierRoot, issuerRoot, issuerIntermediate, verifierIntermediate Filter by key type
Available options:
P-256, Ed25519 Filter by certificate status
Available options:
expired, active, revoked, pendingActivation, inactive, pendingRevocation Filter by parent certificate ID
Sort order. Prefix with "-" for descending
Available options:
createdAt, -createdAt, updatedAt, -updatedAt, expiresAt, -expiresAt, -id, id, type, -type, keyType, -keyType, parentCertificateId, -parentCertificateId Items per page (1-100)
Required range:
1 <= x <= 100Cursor: return items before this ID
Cursor: return items after this ID

